
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.YsWxzctxfyEntity;
import org.sky.scientific.pojo.vo.YsWxzctxfyVO;
import java.util.Objects;

/**
 * 项目预算-无形资产摊销费用 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class YsWxzctxfyWrapper extends BaseEntityWrapper<YsWxzctxfyEntity, YsWxzctxfyVO> {

	public static YsWxzctxfyWrapper build() {
		return new YsWxzctxfyWrapper();
 	}

	@Override
	public YsWxzctxfyVO entityVO(YsWxzctxfyEntity ysWxzctxfy) {
		YsWxzctxfyVO ysWxzctxfyVO = Objects.requireNonNull(BeanUtil.copyProperties(ysWxzctxfy, YsWxzctxfyVO.class));

		//User createUser = UserCache.getUser(ysWxzctxfy.getCreateUser());
		//User updateUser = UserCache.getUser(ysWxzctxfy.getUpdateUser());
		//ysWxzctxfyVO.setCreateUserName(createUser.getName());
		//ysWxzctxfyVO.setUpdateUserName(updateUser.getName());

		return ysWxzctxfyVO;
	}


}
